package com.inspect.metadata.eqpbook.mapper;

import com.inspect.metadata.eqpbook.domain.BasedataEqpBook;
import com.inspect.metadata.eqpbook.domain.BasedataEqpBookChannel;
import com.inspect.metadata.eqpbook.domain.vo.BasedataEqpBookChannelQueryVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataEqpBookChannelMapper {
    BasedataEqpBookChannel selectBasedataEqpBookChannelByChannelId(Long channelId);

    BasedataEqpBookChannel selectBasedataEqpBookChannelByChannelCode(String channelCode);

    List<BasedataEqpBookChannel> selectBasedataEqpBookChannelList(BasedataEqpBookChannel channel);

    int insertBasedataEqpBookChannel(BasedataEqpBookChannel channel);

    int updateBasedataEqpBookChannel(BasedataEqpBookChannel channel);

    int deleteBasedataEqpBookChannelByChannelId(Long channelId);

    int deleteBasedataEqpBookChannelByChannelIds(Long[] channelIds);

    List<BasedataEqpBookChannel> getChannelByEqpBookCode(BasedataEqpBook eqpBook);

    List<BasedataEqpBookChannel> getChannelByEqpBookByVideoNvrCode(BasedataEqpBookChannelQueryVo queryVo);
}
